// File created from ../../../src/lib/config/config_messages.mes on Fri May 26 2017 16:26

#include <cstddef>
#include <log/message_types.h>
#include <log/message_initializer.h>

namespace isc {
namespace config {

extern const isc::log::MessageID COMMAND_DEREGISTERED = "COMMAND_DEREGISTERED";
extern const isc::log::MessageID COMMAND_EXTENDED_REGISTERED = "COMMAND_EXTENDED_REGISTERED";
extern const isc::log::MessageID COMMAND_HOOK_RECEIVE_SKIP = "COMMAND_HOOK_RECEIVE_SKIP";
extern const isc::log::MessageID COMMAND_PROCESS_ERROR1 = "COMMAND_PROCESS_ERROR1";
extern const isc::log::MessageID COMMAND_PROCESS_ERROR2 = "COMMAND_PROCESS_ERROR2";
extern const isc::log::MessageID COMMAND_RECEIVED = "COMMAND_RECEIVED";
extern const isc::log::MessageID COMMAND_REGISTERED = "COMMAND_REGISTERED";
extern const isc::log::MessageID COMMAND_RESPONSE_ERROR = "COMMAND_RESPONSE_ERROR";
extern const isc::log::MessageID COMMAND_SOCKET_ACCEPT_FAIL = "COMMAND_SOCKET_ACCEPT_FAIL";
extern const isc::log::MessageID COMMAND_SOCKET_CONNECTION_CLOSED = "COMMAND_SOCKET_CONNECTION_CLOSED";
extern const isc::log::MessageID COMMAND_SOCKET_CONNECTION_OPENED = "COMMAND_SOCKET_CONNECTION_OPENED";
extern const isc::log::MessageID COMMAND_SOCKET_DUP_WARN = "COMMAND_SOCKET_DUP_WARN";
extern const isc::log::MessageID COMMAND_SOCKET_FAIL_NONBLOCK = "COMMAND_SOCKET_FAIL_NONBLOCK";
extern const isc::log::MessageID COMMAND_SOCKET_READ = "COMMAND_SOCKET_READ";
extern const isc::log::MessageID COMMAND_SOCKET_READ_FAIL = "COMMAND_SOCKET_READ_FAIL";
extern const isc::log::MessageID COMMAND_SOCKET_RESPONSE_TOOLARGE = "COMMAND_SOCKET_RESPONSE_TOOLARGE";
extern const isc::log::MessageID COMMAND_SOCKET_UNIX_CLOSE = "COMMAND_SOCKET_UNIX_CLOSE";
extern const isc::log::MessageID COMMAND_SOCKET_UNIX_OPEN = "COMMAND_SOCKET_UNIX_OPEN";
extern const isc::log::MessageID COMMAND_SOCKET_WRITE = "COMMAND_SOCKET_WRITE";
extern const isc::log::MessageID COMMAND_SOCKET_WRITE_FAIL = "COMMAND_SOCKET_WRITE_FAIL";

} // namespace config
} // namespace isc

namespace {

const char* values[] = {
    "COMMAND_DEREGISTERED", "Command %1 deregistered",
    "COMMAND_EXTENDED_REGISTERED", "Command %1 registered",
    "COMMAND_HOOK_RECEIVE_SKIP", "command %1 has been handled by the hook library which returned the skip state",
    "COMMAND_PROCESS_ERROR1", "Error while processing command: %1",
    "COMMAND_PROCESS_ERROR2", "Error while processing command: %1",
    "COMMAND_RECEIVED", "Received command '%1'",
    "COMMAND_REGISTERED", "Command %1 registered",
    "COMMAND_RESPONSE_ERROR", "Server failed to generate response for command: %1",
    "COMMAND_SOCKET_ACCEPT_FAIL", "Failed to accept incoming connection on command socket %1: %2",
    "COMMAND_SOCKET_CONNECTION_CLOSED", "Closed socket %1 for existing command connection",
    "COMMAND_SOCKET_CONNECTION_OPENED", "Opened socket %1 for incoming command connection on socket %2",
    "COMMAND_SOCKET_DUP_WARN", "Failed to duplicate socket for response: %1",
    "COMMAND_SOCKET_FAIL_NONBLOCK", "Failed to set non-blocking mode for socket %1 created for incoming connection on socket %2: %3",
    "COMMAND_SOCKET_READ", "Received %1 bytes over command socket %2",
    "COMMAND_SOCKET_READ_FAIL", "Encountered error %1 while reading from command socket %2",
    "COMMAND_SOCKET_RESPONSE_TOOLARGE", "Server's response was larger (%1) than supported 64KB",
    "COMMAND_SOCKET_UNIX_CLOSE", "Command socket closed: UNIX, fd=%1, path=%2",
    "COMMAND_SOCKET_UNIX_OPEN", "Command socket opened: UNIX, fd=%1, path=%2",
    "COMMAND_SOCKET_WRITE", "Sent response of %1 bytes over command socket %2",
    "COMMAND_SOCKET_WRITE_FAIL", "Error while writing %1 bytes to command socket %2 : %3",
    NULL
};

const isc::log::MessageInitializer initializer(values);

} // Anonymous namespace

